QGIS Application - Bug report #10752
Value Map not working when loading a gml
2014-06-29 01:12 PM - Philipe Borba

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19136
Description

I'm trying to load a style saved as a .gml but when | load it, the value map defined in the .gml is not loaded. | have already tried to save the
style into the database, but when | tried to load it, the value maps also weren't loaded.

A sample database is attached, with a sample of .qml

Associated revisions

Revision e6a259d1 - 2014-09-17 12:51 PM - Matthias Kuhn
Save edit widgets also to QML style information.
Fix #11123

Fix #10752

History

#1 - 2014-06-29 11:29 PM - Jiirgen Fischer
- Category set to Project Loading/Saving

#2 - 2014-06-30 12:35 AM - Matthias Kuhn

- Status changed from Open to Feedback

Does the following workaround to update the gml work for you?
- Open layer/gml in 2.2
- Save project

- Open projectin 2.4
- Save gmlin 2.4

#3 - 2014-07-08 05:39 AM - Philipe Borba
- File bug_qgis.JPG added

Unfortunately it didn't work. In the gml structure saved by 2.4, the parts of the xml code where the value lists were stored weren't generated. The only parts
of the gml that were generated are those linked to simbology. For instance, in the gml saved in 2.2, | have this structure:

<edittype labelontop="0" editable="1" type="3" name="geometriaaproximada">
<valuepair key="Sim" value="1"/>

<valuepair key="N&ao" value="2"/>

</edittype>

On the other hand, when | proceeded the way you instructed me, qgis 2.4 generates only this:

<edittype labelontop="0" editable="1" hame="geometriaaproximada"/>

The type of the field is ommited and also the value pairs are gone.

If I manually set the value map, as it is show in the attached picture, then save the .qml, close qgis, reopen qgis and finally load the layer and the saved

gml, the value map is not loaded and the problem with the code described above remains the same.

#4 - 2014-07-15 05:38 AM - Philipe Borba

There is a similar explanation to this bug on this link:

http://gis.stackexchange.com/questions/104403/how-to-save-and-load-vector-layer-attribute-value-map-editable-state-in-qml-st

#5 - 2014-07-17 05:32 AM - Giovanni Manghi

isn't this a regression since 2.2?

#6 - 2014-07-17 05:36 AM - Paolo Cavallini
- Priority changed from High to Severe/Regression

Duplicated in #109017?
It's a regression.

#7 - 2014-09-17 03:54 AM - Matthias Kuhn
- Status changed from Feedback to Closed

Fixed in changeset commit:"e6a259d1806b756cb2a9d91d6c5546ce6d04e710".

#8 - 2014-10-04 08:10 PM - James Rogers

Sorry, | have zero understanding when it comes to coding, etc.
| am having this same problem with the value map info not saving/loading in the gml. Matthias, | see you fixed this in some python code? How do | update
my QGIS to fix this issue?

Thanks

Files

bug.rar 1.17 MB 2014-06-29 Philipe Borba
bug_qgis.JPG 210 KB 2014-07-08 Philipe Borba

2025-05-18 22


http://gis.stackexchange.com/questions/104403/how-to-save-and-load-vector-layer-attribute-value-map-editable-state-in-qml-st

